Bug 247613 - www/gitea: Update to 1.12.2
Summary: www/gitea: Update to 1.12.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Adam Weinberger
URL:
Keywords:
Depends on:
Blocks: 247989
  Show dependency treegraph
 
Reported: 2020-06-28 10:12 UTC by stb
Modified: 2020-08-22 04:57 UTC (History)
2 users (show)

See Also:
stb: maintainer-feedback+


Attachments
Update port to Gitea 1.12.2 (193.67 KB, patch)
2020-07-18 11:01 UTC, stb
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description stb 2020-06-28 10:12:26 UTC
Update Gitea to 1.12.1

This release fixes a large number of bugs and introduces many new features.

Release notes: https://blog.gitea.io/2020/06/gitea-1.12.0-and-1.12.1-are-released/
Comment 1 stb 2020-06-28 10:13:21 UTC
ATM there is at least one build issue precluding this update to complete. See https://discourse.gitea.io/t/building-with-vendored-modules/2277
Comment 2 stb 2020-06-28 10:39:52 UTC
I've opened an issue: https://github.com/go-gitea/gitea/issues/12080
Comment 3 stb 2020-06-28 17:53:44 UTC
Pull request for fixing it on the release branch: https://github.com/go-gitea/gitea/pull/12084

We'll have to wait for 1.12.2 to see the results of the fix.
Comment 4 stb 2020-07-11 11:27:07 UTC
Still waiting on 1.12.2 with a fix for the Go modules.

https://github.com/go-gitea/gitea/issues/12213
Comment 5 stb 2020-07-18 11:01:01 UTC
Created attachment 216535 [details]
Update port to Gitea 1.12.2
Comment 6 stb 2020-07-18 11:01:52 UTC
Update to Gitea 1.12.2

This release fixes a large number of bugs and introduces many new features.

Release notes:
- https://blog.gitea.io/2020/06/gitea-1.12.0-and-1.12.1-are-released/
- https://blog.gitea.io/2020/07/gitea-1.12.2-is-released/

Additional changes to the port:
- Switch port to dynamic plist
- Add option to rc file for custom path (247989)
- Turn the BINDATA option on by default
Comment 7 stb 2020-07-18 11:04:10 UTC
This closes bug 244671.
Comment 8 commit-hook freebsd_committer 2020-07-18 12:35:42 UTC
A commit references this bug:

Author: adamw
Date: Sat Jul 18 12:35:14 UTC 2020
New revision: 542495
URL: https://svnweb.freebsd.org/changeset/ports/542495

Log:
  gitea: Update to 1.12.2

  This release fixes a large number of bugs and introduces many new features.

  Release notes:
  - https://blog.gitea.io/2020/06/gitea-1.12.0-and-1.12.1-are-released/
  - https://blog.gitea.io/2020/07/gitea-1.12.2-is-released/

  Additional changes to the port:
  - Use PORTDATA to avoid enumerating the extensive DATADIR
  - Add option to rc file for custom path [1]
  - Turn the BINDATA option on by default

  PR:		247613, 247989 [1]
  Submitted by:	maintainer, mikeg bsd-box net [1]
  Approved by:	maintainer [1]

Changes:
  head/www/gitea/Makefile
  head/www/gitea/distinfo
  head/www/gitea/files/gitea.in
  head/www/gitea/files/patch-vendor_github.com_go-git_go-git_v5_storage_filesystem_dotgit_dotgit.go
  head/www/gitea/pkg-message
  head/www/gitea/pkg-plist
Comment 9 Adam Weinberger freebsd_committer 2020-07-18 12:37:38 UTC
I've committed this (including removing what appeared to be a stale patch). I'm noticing now that the patch didn't actually make BINDATA the default, so if you actually wanted that we can do a follow-up commit.